#### MINIMIZED

#### Synopsis

    HELP:   Discards comments, insignificant whitespace and whitespace-only sections between tags
    TYPE:   OBJECT
    SYNTAX: MINIMIZED(MAXWSP=num,WSPERR=WRITE/ABORT,BUFSIZ=num,INICNT=num,WLLFMD)

#### Description

The minimized method creates an XML document that has whitespace and linebreaks removed unless they are part of other character data, as well as all comments. This is most suitable if data is primarily contained in the child nodes of the XML document, the document is read by a machine and if storage/bandwidth is an issue.

Example: If the original XML document is the following one:

    <?xml version="1.0"?>
      <!DOCTYPE root [
        <!ELEMENT root (someelement)>
      ]>
    <root>
      <somelement   attribute1="value1" attribute2="value2">
        some text
      </somelement>
      <somelement>
        <!-- comment -->
        text in non-root element
        <leaf>this is a leaf</leaf>
      </somelement>
    </root>

then minimization will result in the following document:

    <?xml version="1.0"?><!DOCTYPE root [<!ELEMENT root (someelement)>]><root><somelement attribute1="value1" attribute2="value2">
        some text
      </somelement><somelement>

        text in non-root element
        <leaf>this is a leaf</leaf></somelement></root>

#### Arguments

- `NUMBER: MAXWSP=num - Size of internal whitespace cache (only used when method is minimize or pretty printing) [4096]`
- `NUMBER: WSPERR=WRITE/ABORT - Action when the whitespace cache overflows [WRITEOUT]`
  - `WRITE - Write out cached whitespace on full buffer, causing less nicely formatted output`
  - `ABORT - Abort XML writing when the whitespace buffer is full, output formatting has priority`
- `NUMBER: BUFSIZ=num - Initial buffer size for preallocation [65536]`
- `NUMBER: INICNT=num - Initial amount of elements for preallocation [128]`
- `SWITCH: WLLFMD - Verify that the written XML document is well-formed [FALSE]`